[ 
https://issues.apache.org/jira/browse/MENFORCER-204?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15507743#comment-15507743
 ] 

Guillaume Boué commented on MENFORCER-204:
------------------------------------------

Fixed in 
[r1761637|http://svn.apache.org/viewvc?view=revision&revision=1761637]. Thanks 
for the patch!

> Add new rule: should be able to make sure that project artifact is a Snapshot
> -----------------------------------------------------------------------------
>
>                 Key: MENFORCER-204
>                 URL: https://issues.apache.org/jira/browse/MENFORCER-204
>             Project: Maven Enforcer Plugin
>          Issue Type: New Feature
>          Components: Standard Rules
>    Affects Versions: 2.0
>            Reporter: Adrien Lecharpentier
>            Assignee: Guillaume Boué
>         Attachments: MENFORCER-RequireSnapshotVersion.patch
>
>
> As it is currently possible to validate the current project is a release, we 
> should have to inverse rule: validate the current project is a snapshot.
> The use case: in CI, ensure that the current project is in snapshot version 
> before doing a `mvn deploy`. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to